<!DOCTYPE HTML><html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
  <style>
    html {
     font-family: Arial;
     display: inline-block;
     margin: 0px auto;
     text-align: center;
    }
    h2 { font-size: 3.0rem; }
    p { font-size: 3.0rem; }
    .units { font-size: 1.2rem; }
    .dht-labels{
      font-size: 1.5rem;
      vertical-align:middle;
      padding-bottom: 15px;
    }
  </style>
</head>
<body>
  <h2>ESP32 DHT Server</h2>
  <p>
    <i class="fas fa-thermometer-half" style="color:#059e8a;"></i> 
    <span class="dht-labels">Temperature</span> 
    <a id="temp"></a>
    <sup class="units">&deg;C</sup>
  </p>
  <p>
    <i class="fas fa-tint" style="color:#00add6;"></i> 
    <span class="dht-labels">Humidity</span>
    <span id="hum"></span>
    <sup class="units">&percnt;</sup>
  </p>
</body>
<script>
const ws = new WebSocket("ws://192.168.4.1:81");

ws.onopen = function(){alert("Connection opend!")};

ws.onclose = function(){alert("closed")};

ws.onmessage = function(event){
  
    var message = event.data
    var part = 0;
    console.log(message)
    for(var i =0; i < message.length; i++){
      if (message[i] == "y")
      {
        part = i;
        break;
      }
    }
    
    var temp = document.getElementById("temp")
    var hum = document.getElementById("hum")
    hum.replaceChildren();
    temp.replaceChildren();
   hum.append(message.substring(0, part))
  temp.append(message.substring(part + 1, message.length))
};

</script>
</html>